<?php

/*
Template Name: Redireccionar p&aacute;gina

 * @author		Dave Stewart
 * @email		dave@davestewart.co.uk
 * @web			www.davestewart.co.uk
 
 * @spanish translation		TodoWordPress
 * @web				www.todowordpress.org
 * @name		Page Redirect
 * @type		PHP page
 * @desc		Wordpress template that redirects the current page based on the content of the database entry it loads

 * @requires	Wordpress
 * @install		Copy this file to the directory of the theme you wish to use
 * usage		
			   1. Crea una Pagina nueva en el panel de control de WordPress
			   2. En el editor de texto, introduce la URL (o la ruta relativa al directorio de Wordpress) a la que desees redirigir.
			   3. Elige la plantilla de pgina "Redireccionar pgina"
			   4. Publica
 */

if (function_exists('have_posts') && have_posts()){
	while (have_posts()){
	
		// get the post
			the_post();
		
		// get content
			ob_start();
			the_content();
			$contents	= ob_get_contents();
			ob_end_clean();
			
		// correctly build the link

			// grab the 'naked' link
				$link	= strip_tags($contents);
				$link	= preg_replace('/\s/', '', $link);
				
			// work out
				if(!preg_match('%^http://%', $link)){
					$host	= $_SERVER['HTTP_HOST'];
					$dir	= dirname($_SERVER['PHP_SELF']);
					$link	= "http://$host$dir/$link";
					}

			// do the link
				header("Location: $link");
				die('');
				}

	}
?>
